Bug 969650 - D-BUS locks up kde desktop
D-BUS locks up kde desktop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
18
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-01 08:57 EDT by Christian Groove
Modified: 2014-02-05 16:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:37:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Groove 2013-06-01 08:57:53 EDT
Description of problem:
My Fedora 18 is up to date (1-june-2013). I am using 
KDE desktop on a laptop and a desktop. D-BUS does not
reply request issued by KDE app, that in turn locks 
up the desktop. 
This problem did not occur a week ago. Now it is pesky
to wait minute, that an application can be startet or
the panel may react on user events.

Version-Release number of selected component (if applicable):
KDE-18 (all updates loaded, 1-june-2013)

How reproducible:
Login, work a little bit an get the D-BUS blues when
your desktop freeze!

Steps to Reproduce:
1. login
2. work
3. get angry

Actual results:

a kde app, that is beeing startet from the command line
shows some erroes on the tty:

dolphin(2214)/kdecore (K*TimeZone*): KSystemTimeZones: ktimezoned initialize() D-Bus call failed:  "Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken."


Expected results:
Immediate start, i have a i7 with 16Gb and idle all the time!!

Additional info:
The architectual misconcept of D-BUS reminds me of CDE with its
additional event server, running side by side with an X11 server.
From time to time this service hanged due to a minor problem with
the effect, that all request did not return and the clients were
not able to answer X11 events. The effect the Desktop freeze.
Comment 1 Christian Groove 2013-06-02 05:05:49 EDT
Some additional info's concering the incident.

Hard to find out the cause of that problem.
The impact is fatal, cause a broken d-bus 
will prevent you, to log out correctly.
The dialouge via KDE and its functionality
simply jams, so you might be happy to have
an open term to perform a init 0.

After restart the problem does not exist.
The jamming happens unpredicable so i can not
give you any futher information. Unfortunately,
there is no clue in the /var/log file.

I am a professional UNIX/Java programmer,
so i can help you iff you can give me a hint.
Contact me iff i can help you
Comment 2 Fedora End Of Life 2013-12-21 08:48:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:37:15 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.